<?php

/*
 */

$installer = $this;

$installer->startSetup();

$installer->run("

DROP TABLE IF EXISTS {$this->getTable('ssologin/users')};
CREATE TABLE {$this->getTable('ssologin/users')} (
  `id` bigint unsigned NOT NULL auto_increment,
  `sso_uid` bigint unsigned NOT NULL,
--  `sso_email` varchar(250) NOT NULL,
  `customer_id` bigint unsigned NOT NULL,
  `website_id` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `sso_uid` (`sso_uid`,`website_id`),
--  UNIQUE KEY `sso_email` (`sso_email`,`website_id`),
  UNIQUE KEY `customer_id` (`customer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

");
$installer->endSetup();
